### Hierarchy

- ToolActivateMgr

## Index

### Properties

- groups_
- scope_

### Methods

- activateDefault_
- activateTool
- deactivateTool
- deactivateTools_
- registerTool
- unregisterGroup
- unregisterTool

## Properties

### groups_

groups_: Object

- Defined in src/misc/ToolActivateMgr.js:65

### scope_

scope_: IScope

- Defined in src/misc/ToolActivateMgr.js:72

The scope.

## Methods

### activateDefault_

- activateDefault_(groupName: string): void

- - Defined in src/misc/ToolActivateMgr.js:178

  Activate the default tool in the given group if no other tool is active.

  #### Parameters

  - ##### groupName: string

    Name of the group.

  #### Returns void

### activateTool

- activateTool(tool: default): void

- - Defined in src/misc/ToolActivateMgr.js:145

  Activate a tool.

  #### Parameters

  - ##### tool: default

    Tool to activate.

  #### Returns void

### deactivateTool

- deactivateTool(tool: default): void

- - Defined in src/misc/ToolActivateMgr.js:154

  Deactivate a tool.

  #### Parameters

  - ##### tool: default

    Tool to deactivate.

  #### Returns void

### deactivateTools_

- deactivateTools_(groupName: string, tool: default): void

- - Defined in src/misc/ToolActivateMgr.js:164

  Deactivate all tools except the given one.

  #### Parameters

  - ##### groupName: string

    Name of the group.

  - ##### tool: default

    Tool to activate.

  #### Returns void

### registerTool

- registerTool(groupName: string, tool: default, opt_defaultActivate: boolean): void

- - Defined in src/misc/ToolActivateMgr.js:83

  Register a tool.

  #### Parameters

  - ##### groupName: string

    Name of the group of this tool.

  - ##### tool: default

    Tool to register.

  - ##### opt_defaultActivate: boolean

  #### Returns void

### unregisterGroup

- unregisterGroup(groupName: string): void

- - Defined in src/misc/ToolActivateMgr.js:130

  Unregister each tool from a group.

  #### Parameters

  - ##### groupName: string

    Name of the group of tools to unregister.

  #### Returns void

### unregisterTool

- unregisterTool(groupName: string, tool: default): void

- - Defined in src/misc/ToolActivateMgr.js:112

  Unregister a tool from a group.

  #### Parameters

  - ##### groupName: string

    Name of the group of this tool.

  - ##### tool: default

    Tool to unregister.

  #### Returns void

Generated using TypeDoc